## sosreport 3.8

=== debian/changelog ===
sosreport (3.8-1) unstable; urgency=medium

  * New 3.8 upstream release.
    Contains a number of enhancements, new features and bug fixes including:
    - 6 new plugins: container_log, frr, leapp, openstack_placement, qt, vdsm
    - kubernetes plugin can now optionally grab logs only for certain pods
    - kdump plugin will now collect initramfs content
    - pulp and foreman plugins now support collecting from an external database
    - sar plugin will now collect the full sar log dir
    - vdsm and ovirt plugins will now collect host certificates
    - openvswitch plugin will now enable on openvswitch2.* packages
    - Added support for only capturing logs after a specific date, --since
      option
    - Fixed an issue causing high CPU utilization which slowed journal
      collection
    - Fixed an issue where plugins could continue executing commands after
      their timeout was hit
    - sosreport will no longer abort execution on Red Hat family systems when
      the package manager fails to query a file list

  * Plugin API enhancements
    - Plugins may now capture environment variables, which will be written to
      /environment in the sos archive root
    - Plugins may now write command output to subdirs within their own
      sos_commands/plugin directory
      - The container plugins have been updated to make use of this
        functionality
    - SoSPredicate usage may now be match either any or all of the provided
      elements, and may mix requirements of kmods and services to determine
      if a command should be collected.

  * Significant changes to the reporting system of sos
    - HTML reports replaced by a Report subclass
    - HTML report creation time is significantly improved
    - Added a JSON formatted report option

  * Allow system changes option
    - A new --allow-system-changes option has been added that will allow users
      to collect certain data, even if it means the host system would be
      changed.

  * Former patches now fixed upstream:
    - d/p/0001-skip-py2-only-tests.patch
    - d/p/archive-fix-stat-typo.patch
    - d/p/avoid-distutils.diff

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 09 Sep 2019 15:40:31 +0000

=== debian/control ===
Source: sosreport
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Uploaders: Eric Desrochers <slashd@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 12), dh-python, python3-all, gettext, python3-nose, python3-six,
		python-futures
Homepage: https://github.com/sosreport/sos
Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git

Package: sosreport
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-six
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.

## sosreport 3.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
DOCDESTDIR    = ${DESTDIR}/usr/share/doc/sos

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext install-dir install-html install-dirhtml install-singlehtml install-pickle install-json install-htmlhelp install-qthelp install-epub install-latex install-text install-man install-texinfo install-info install-gettext install-changes install-linkcheck install-doctest install-xml install-pseudoxml install

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

install-dir:
	install -d -m 0755 ${DOCDESTDIR}

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

install-html: install-dir
	if test -d ${BUILDDIR}/html; then \
		cp -r ${BUILDDIR}/html ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

install-dirhtml: install-dir
	if test -d ${BUILDDIR}/dirhtml; then \
		cp -r ${BUILDDIR}/dirhtml ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

install-singlehtml: install-dir
	if test -d ${BUILDDIR}/singlehtml; then \
		cp -r ${BUILDDIR}/singlehtml ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

install-pickle: install-dir
	if test -d ${BUILDDIR}/pickle; then \
		cp -r ${BUILDDIR}/pickle ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

install-json: install-dir
	if test -d ${BUILDDIR}/json; then \
		cp -r ${BUILDDIR}/json ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

install-htmlhelp: install-dir
	if test -d ${BUILDDIR}/htmlhelp; then \
		cp -r ${BUILDDIR}/htmlhelp ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SoS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SoS.qhc"

install-qthelp: install-dir
	if test -d ${BUILDDIR}/qthelp; then \
		cp -r ${BUILDDIR}/qthelp ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SoS"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SoS"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

install-epub: install-dir
	if test -d ${BUILDDIR}/epub; then \
		cp -r ${BUILDDIR}/epub ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

install-latex: install-dir
	if test -d ${BUILDDIR}/latex; then \
		cp -r ${BUILDDIR}/latex ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

install-text: install-dir
	if test -d ${BUILDDIR}/text; then \
		cp -r ${BUILDDIR}/text ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

install-man:
	if test -d ${BUILDDIR}/man; then \
		gzip -c ${BUILDDIR}/man/sos.1 > ${BUILDDIR}/man/sos.1.gz; \
		install -m644 ${BUILDDIR}/man/sos.1.gz $(DESTDIR)/usr/share/man/man1; \
	else \
		exit 0; \
	fi

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

install-texinfo: install-dir
	if test -d ${BUILDDIR}/texinfo; then \
		cp -r ${BUILDDIR}/texinfo ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

install-info: install-dir install-texinfo

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

install-gettext: install-dir
	if test -d ${BUILDDIR}/locale; then \
		cp -r ${BUILDDIR}/locale ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

install-changes: install-dir
	if test -d ${BUILDDIR}/changes; then \
		cp -r ${BUILDDIR}/changes ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

install-linkcheck: install-dir
	if test -d ${BUILDDIR}/linkcheck; then \
		cp -r ${BUILDDIR}/linkcheck ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

install-doctest: install-dir
	if test -d ${BUILDDIR}/doctest; then \
		cp -r ${BUILDDIR}/doctest ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

install-xml: install-dir
	if test -d ${BUILDDIR}/xml; then \
		cp -r ${BUILDDIR}/xml ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

install-pseudoxml: install-dir
	if test -d ${BUILDDIR}/pseudoxml; then \
		cp -r ${BUILDDIR}/pseudoxml ${DOCDESTDIR}; \
	else \
		exit 0;	\
	fi

install: install-html install-dirhtml install-singlehtml install-pickle install-json install-htmlhelp install-qthelp install-epub install-latex install-text install-man install-texinfo install-info install-gettext install-changes install-linkcheck install-doctest install-xml install-pseudoxml

=== sos/Makefile ===
PYTHON=python
PACKAGE = $(shell basename `pwd`)
PYVER := $(shell $(PYTHON) -c 'import sys; print("%.3s" %(sys.version))')
PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)

all:
	echo "nada"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/$(PKGDIR)
	for p in $(wildcard *.py) ; do \
		install -m 644 $$p $(DESTDIR)/$(PKGDIR)/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(PKGDIR)', 1, '$(PYDIR)', 1)"

=== debian/changelog ===
sosreport (3.9-1ubuntu2) focal; urgency=medium

  * d/p/0002-lxd-drop-db-collection-and-introduce-lxd-buginfo.patch:
    - Drop db collection and introduce lxd.buginfo (LP: #1868215)

  * d/tests/{control,simple.sh}: (LP: #1865212)
    - Add testsuite "simple.sh". A port of the travis tests to bash
      provided by upstream.

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 20 Mar 2020 06:48:01 +0000

sosreport (3.9-1ubuntu1) focal; urgency=medium

  * debian/control:
    Drop accidentally re-introduces py2 runtime dependency

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 17 Feb 2020 07:28:29 -0500

sosreport (3.9-1) unstable; urgency=medium

  * New 3.9 upstream release.
    - Improved human-readable archive naming and support for archive labels
    - Improved reporting of archive output and properties
    - Support for automatic uploading of report archives via FTP and HTTPS
    - Automatic PATH support on Ubuntu distributions
    - Improved policy performance
    - Improved service status collection API
    - 9 new plugins: cloud_init, convert2rhel, ebpf, fwupd, login, nginx,
      nvidia, openstack_tripleo
    - 6 obsolete plugins removed or merged into other plugins:
      katello, last, mrggrid, mrgmessg, satellite
    - Significant updates to 14 plugins: dlm, dnf, ceph, foreman, gluster,
      gnocchi, juju, kubernetes, logs, maas, networking, openvswitch,
      python, plugins
    - The openswan plugin was renamed to libreswan to reflect the active
      upstream project name
    - Updated Red Hat presets and new Cloud Forms preset
    - Updates to networking plugin namespace handling
    - Updates to the OVN plugins (ovn_central, ovn_host)
    - Kernel eBPF data consolidated in a single plugin

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.9

  * Other specific modifications:
    - d/p/0001-unittest-py3-fix.patch

 -- Eric Desrochers <slashd@ubuntu.com>  Sun, 16 Feb 2020 01:35:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,14 @@
 Uploaders: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12), dh-python, python3-all, gettext, python3-nose, python3-six,
-		python-futures
+Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ gettext,
+ python3-all,
+ python3-nose,
+ python3-six,
 Homepage: https://github.com/sosreport/sos
 Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
 Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git

=== debian/tests/control ===
Tests: sos-run-nonroot.py
Depends: sosreport
Restrictions: allow-stderr

Tests: sos-run.py
Depends: sosreport
Restrictions: needs-root, allow-stderr

Tests: simple.sh
Depends: sosreport
Restrictions: needs-root, allow-stderr

## sosreport 3.9.1

=== po/Makefile ===
# What is this package?
NLSPACKAGE	= sos
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# PO catalog handling
MSGMERGE	= msgmerge -v
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
		  --add-comments --language=python
MSGFMT		= msgfmt --statistics --verbose

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
PYSRC		= $(wildcard ../sos/*.py)
SRCFILES 	= $(PYSRC)

all::  update-po $(MOFILES)

$(POTFILE):
	$(XGETTEXT) --keyword=_ --keyword=N_ $(SRCFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<

.PHONY: missing depend $(POTFILE)

=== debian/changelog ===
sosreport (3.9.1-1ubuntu0.16.04.2) xenial; urgency=medium

  * d/p/0005-networking-collect-ethtool-e-device-conditionally-only.patch:
    - EEPROM dump collection might hang on specific types of devices, or
      negatively impact the system otherwise. As a safe option, sos report
      should collect the command when explicitly asked via a plugopt only.
      (LP: #1925351)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 21 Apr 2021 09:07:20 -0400

sosreport (3.9.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch
 
  * Remaining patch:
    - d/p/0001-lshw-command.patch

  * Other specific modifications:
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch (LP: #1883320)
    - d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    - Add simple.sh as part of the autopkgtest (LP: #1865212)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 15 Jul 2020 13:06:39 +0000

sosreport (3.9-1ubuntu0.16.04.2) xenial; urgency=low

  * d/p/0002-lshw-command.patch (LP: #1871494)
    - Add `lshw` command to hardware plugin

 -- Heather Lemon <heather.lemon@canonical.com>  Wed, 22 Apr 2020 09:32:27 -0600

sosreport (3.9-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.9 upstream release (LP: #1862830)
    - Improved human-readable archive naming and support for archive labels
    - Improved reporting of archive output and properties
    - Support for automatic uploading of report archives via FTP and HTTPS
    - Automatic PATH support on Ubuntu distributions
    - Improved policy performance
    - Improved service status collection API
    - 9 new plugins: cloud_init, convert2rhel, ebpf, fwupd, login, nginx,
      nvidia, openstack_tripleo
    - 6 obsolete plugins removed or merged into other plugins:
      katello, last, mrggrid, mrgmessg, satellite
    - Significant updates to 14 plugins: dlm, dnf, ceph, foreman, gluster,
      gnocchi, juju, kubernetes, logs, maas, networking, openvswitch,
      python, plugins
    - The openswan plugin was renamed to libreswan to reflect the active
      upstream project name
    - Updated Red Hat presets and new Cloud Forms preset
    - Updates to networking plugin namespace handling
    - Updates to the OVN plugins (ovn_central, ovn_host)
    - Kernel eBPF data consolidated in a single plugin

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.9

  * Other specific modifications:
    - d/p/0001-unittest-py3-fix.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 11 Mar 2020 13:07:26 -0400

sosreport (3.6-1ubuntu0.16.04.4) xenial; urgency=medium

  * d/p/juju-shouldnt-restart-juju-db-service.patch (LP: #1828467)
    sosreport shouldn't restart a service. It can only collect
    it's status to notify user in case the service is stopped.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 11 Nov 2019 16:06:09 +0000

sosreport (3.6-1ubuntu0.16.04.3) xenial; urgency=medium

  * d/p/split-lastlog-per-uid-ranges.patch: (LP: #1842489)
    - Split lastlog per UID ranges.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 04 Sep 2019 21:32:28 +0000

sosreport (3.6-1ubuntu0.16.04.2) xenial; urgency=medium

  * d/p/dont-collect-some-tracing-instance-files.patch: (LP: #1803735)
    - Ignoring some kernel files as the copy of them make sosreport
      hangs in situation where kernel tracing events is in used.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 16 Nov 2018 11:13:16 -0500

sosreport (3.6-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.6 upstream release. (LP: #1775195)
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
    - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes



=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 3.9.7
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 9),
  dh-python,
  gettext,
  python3-all,

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git
export PYBUILD_NAME=sosreport
export PYBUILD_DISABLE_python2=1
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/sosreport/ \
	--install-data=usr/ \
	--install-scripts=usr/share/sosreport/ \
	--root=$(CURDIR)/debian/sosreport/ \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild

## sosreport 4.0

=== requirements.txt ===
pycodestyle>=2.4.0
nose>=1.3.7
coverage>=4.0.3
Sphinx>=1.3.5
pexpect>=4.0.0

=== debian/changelog ===
sosreport (4.0-2) unstable; urgency=medium

  * d/p/0003-systemd-prefer-resolvectl-over-systemd-resolve.patch:
    - resolvectl has been introduced in systemd v239. This change
      prefers resolvectl but is backward compatible with
      systemd-resolve. (closes: #979264)

  * d/control: Recommends lsof, mount and e2fsprogs:
    - They aren't marked as Essential in Debian, but they are
      for sos to collect generic useful data. (closes: #887181)

 -- Eric Desrochers <slashd@ubuntu.com>  Wed, 27 Jan 2021 09:29:24 -0500

sosreport (4.0-1) unstable; urgency=medium

  * New 4.0 upstream release.

    Release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/4.0

  * Other specific modifications:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-fix-dict-order-py38-incompatiblity.patch

  * d/control: Maintainer change from Louis to Eric.

 -- Eric Desrochers <slashd@ubuntu.com>  Wed, 19 Aug 2020 22:49:24 +0000

sosreport (3.9.1-1) unstable; urgency=medium

  * New 3.9.1 upstream release.
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch

  * Other specific modifications:
    - Include simple.sh, an upstream port of the travis test to bash,
      as part of the package autopkgtest.

 -- Eric Desrochers <slashd@ubuntu.com>  Tue, 16 Jun 2020 12:18:58 +0000

sosreport (3.9-2) unstable; urgency=medium

  * debian/control:
    Drop accidentally re-introduces py2 runtime dependency

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 17 Feb 2020 12:50:37 +0000

=== debian/control ===
Source: sosreport
Maintainer: Eric Desrochers <slashd@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gettext,
 python3-all,
 python3-nose,
 python3-setuptools,
 python3-sphinx,
Homepage: https://github.com/sosreport/sos
Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git

Package: sosreport
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-pexpect
Recommends: e2fsprogs, lsof, mount
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sosreport

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: simple.sh
Depends: sosreport
Restrictions: needs-root, allow-stderr

## sosreport 4.1

=== debian/changelog ===
sosreport (4.1-1ubuntu1) hirsute; urgency=medium

  * New 4.1 upstream minor release.
    - https://github.com/sosreport/sos/releases/tag/4.1

  * d/test/simple.sh:
    - Update the script from upstream
    - Modify the script to use /tmp as a target, instead
      of /var/tmp.

  * d/test/control:
    - Adding isolation-machine as simple.sh wants to
      interact with the kernel.

  * Former patches:
    - d/p/0002-fix-dict-order-py38-incompatibility.patch
    - d/p/0003-sosclean-fix-handling-of-filepath-with-archive-name.patch
    - d/p/0004-sosclean-fix-tarball-skipping-regex.patch
    - d/p/0005-ceph-collect-balancer-and-pg-autoscale-status.patch
    - d/p/0006-rabbitmq-add-info-on-maybe-stuck-processes.patch
    - d/p/0007-rabbitmq-add-10sec-timeout-to-call-to-maybestuck.patch
    - d/p/0008-networking-include-ip-neigh-and-rule-info.patch
    - d/p/0009-conntrack-add-conntrack-info.patch
    - d/p/0010-conntrack-gather-per-namespace-data.patch
    - d/p/0011-ceph-include-time-sync-status-for-ceph-mon.patch
    - d/p/0012-apt-move-unattended-upgrades-log-collection.patch
    - d/p/0013-bcache-add-a-new-plugin-for-bcache.patch
    - d/p/0014-k8s-add-cdk-master-auth-webhook-to-journal.patch
    - d/p/0015-k8s-fix-cdk-related-file-paths.patch
    - d/p/0016-systemd-prefer-resolvectl-over-systemd-resolve.patch
    - d/p/0017-ovn-extend-information.patch
    - d/p/0018-ua-prefer-new-ua-cmd-over-the-deprecated-one.patch
    - d/p/0019-ovn-fix-sbctl-cmd-execution.patch

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
   - d/p/0002-clean-prevent-parsing-ubuntu-user.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 22 Mar 2021 12:19:59 +0000

sosreport (4.0-1ubuntu9) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0019-ovn-fix-sbctl-cmd-execution.patch (LP: #1916635)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 24 Feb 2021 10:40:56 -0500

sosreport (4.0-1ubuntu8) hirsute; urgency=medium

  * d/p/0018-ua-prefer-new-ua-cmd-over-the-deprecated-one.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Feb 2021 08:49:59 -0500

sosreport (4.0-1ubuntu7) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0017-ovn-extend-information.patch (LP: #1915072)
    - Extend ovn informations

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 11 Feb 2021 11:06:31 -0500

sosreport (4.0-1ubuntu6) hirsute; urgency=medium

  [Eric Desrochers]
  * d/p/0012-apt-move-unattended-upgrades-log-collection.patch
  (LP: #1906302)

  [Ponnuvel Palaniyappan]
  * d/p/0013-bcache-add-a-new-plugin-for-bcache.patch
  (LP: #1913284)

  [Felipe Reyes]
  * d/p/0014-k8s-add-cdk-master-auth-webhook-to-journal.patch
  * d/p/0015-k8s-fix-cdk-related-file-paths.patch
  (LP: #1913583)

  [Michael Biebl]
  * d/p/0016-systemd-prefer-resolvectl-over-systemd-resolve.patch
    (LP: #1913581)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 29 Jan 2021 12:20:50 -0500

sosreport (4.0-1ubuntu5) hirsute; urgency=medium

  [Ponnuvel Palaniyappan]
  * d/p/0011-ceph-include-time-sync-status-for-ceph-mon.patch:
    - Ceph mons might get into time sync problems if ntp/chrony
      isn't installed or configured correctly. Since Luminous
      release, upstream support 'time-sync-status' to detect this
      more easily. (LP: #1910264)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 05 Jan 2021 11:18:38 -0500

sosreport (4.0-1ubuntu4) hirsute; urgency=medium

  [Hemanth Nakkina]
  * d/p/0009-conntrack-add-conntrack-info.patch: rename the
    conntrackd plugin to conntrack; add conntrack commands.
    (LP: #1898077)

  [Mauricio Oliveira]
  * d/p/0010-conntrack-gather-per-namespace-data.patch: add
    conntrack commands for network namespaces.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 23 Nov 2020 15:10:12 -0300

sosreport (4.0-1ubuntu3) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0008-networking-include-ip-neigh-and-rule-info.patch:
    - Include ns ip neigh and ip rule info. (LP: #1901555)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Oct 2020 11:04:41 -0400

sosreport (4.0-1ubuntu2) groovy; urgency=medium

  [Nicolas Bock]
  * d/p/0007-rabbitmq-add-10sec-timeout-to-call-to-maybestuck.patch:
    - Add 10 second timeout to call to `maybe_stuck()`.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 21 Sep 2020 10:47:11 -0400

sosreport (4.0-1ubuntu1) groovy; urgency=medium

  [Eric Desrochers]
  * d/p/0003-sosclean-fix-handling-of-filepath-with-archive-name.patch:
    - Fixes the splitting of filepaths within the archive,
      when the archive name is included in the filename
      inside the archive. (LP: #1896222)

  * d/p/0004-sosclean-fix-tarball-skipping-regex.patch:
    - Fix tarball skipping regex

  [Dan Hill]
  * d/p/0005-ceph-collect-balancer-and-pg-autoscale-status.patch:
    - Collect balancer and pg-autoscale status (LP: #1893109)

  [Nicolas Bock]
  * d/p/0006-rabbitmq-add-info-on-maybe-stuck-processes.patch:
    - Add information on maybe_stuck() processes for RMQ. (LP: #1890846)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 18 Sep 2020 09:23:04 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -18,7 +18,6 @@
 Package: sosreport
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, python3-pexpect
-Recommends: e2fsprogs, lsof, mount
 Description: Set of tools to gather troubleshooting data from a system
  Sos is a set of tools that gathers information about system
  hardware and configuration. The information can then be used for

## sosreport 4.2

=== debian/changelog ===
sosreport (4.2-1ubuntu0.21.04.1) hirsute; urgency=medium

  * New 4.2 upstream release. (LP: #1941745)
    - This release contains numerous improvements
      and bug fixes to several components within sos,
      including an overhaul to the project's test suite
      and infrastructure.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.2

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Former patches, now fixed:
    - d/p/0002-clean-prevent-parsing-ubuntu-user.patch
    - d/p/0003-ubuntu-policy-fix-upload.patch
    - d/p/0004-chrony-configuration-can-now-be-fragmented.patch
    - d/p/0005-global-drop-plugin-version.patch
    - d/p/0006-networking-check-presence-of-devlink.patch
    - d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch

  * d/control:
   - Add 'python3-coverage' as part of the build depends.

  * d/rules:
   - Fix misplaced and duplicated sos.conf file in /usr/config.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Sun, 24 Oct 2021 13:16:22 -0400

sosreport (4.1-1ubuntu1.2) hirsute; urgency=medium

  * d/p/0004-networking-check-presence-of-devlink.patch:
    - Fix devlink module load by networking plugin (LP: #1923661)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 08 Jun 2021 20:22:26 +0000

sosreport (4.1-1ubuntu1.1) hirsute; urgency=medium

  * d/p/0003-ubuntu-policy-fix-upload.patch:
    - Fix sos archive upload to UA Canonical server
      (LP: #1923209)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 13 May 2021 10:15:23 -0400

## sosreport 4.3

=== debian/changelog ===
sosreport (4.3-1ubuntu2) jammy; urgency=medium

  * d/p/0003-mention-sos-help-in-sos-manpage.patch:
    Fix sos-help manpage.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 16 Feb 2022 13:05:13 -0500

sosreport (4.3-1ubuntu1) jammy; urgency=medium

  * New 4.3 upstream. (LP: #1960996)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.3

  * New patches:
    - d/p/0002-fix-setup-py.patch:
      Add python sos.help module, it was miss in
      upstream release.

  * Former patches, now fixed:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch:

 -- Eric Desrochers <slashd@ubuntu.com>  Tue, 15 Feb 2022 23:10:27 -0500

sosreport (4.2-1ubuntu2) jammy; urgency=medium

  * d/p/0006-report-check-for-symlink-before-rmtree.patch:
    - Fixing --estimate-only option by checking if the dirs
      are also symlink before performing rmtree() method so
      that unlink() method can be used instead.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 19 Oct 2021 14:20:44 -0400

sosreport (4.2-1ubuntu1) jammy; urgency=medium

  * New 4.2 upstream release. (LP: #1941745)
    - This release contains numerous improvements
      and bug fixes to several components within sos,
      including an overhaul to the project's test suite
      and infrastructure.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.2

  * New patches:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch

  * Former patches, now fixed:
    - d/p/0002-clean-prevent-parsing-ubuntu-user.patch
    - d/p/0003-ubuntu-policy-fix-upload.patch
    - d/p/0004-chrony-configuration-can-now-be-fragmented.patch
    - d/p/0005-global-drop-plugin-version.patch
    - d/p/0006-networking-check-presence-of-devlink.patch
    - d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * d/control:
   - Add 'python3-coverage' as part of the build depends.

  * d/rules:
   - Fix misplaced and duplicated sos.conf file in /usr/config.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 18 Oct 2021 09:24:22 -0400

sosreport (4.1-1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:39 +0200

sosreport (4.1-1ubuntu2) impish; urgency=medium

  * d/p/series:
    - Re-order patches in numerical order.

  * d/p/0003-ubuntu-policy-fix-upload.patch:
    - Fix sos archive upload to UA Canonical server
      (LP: #1923209)

  * d/p/0004-chrony-configuration-can-now-be-fragmented.patch:
    - Chrony 4.0, first introduced in Hirsute, support
      fragmented configuration.

  * d/p/0005-global-drop-plugin-version.patch:
    - Removal of plugins versionning features as it generate
      unhelpful noise. (LP: #1922925)

  * d/p/0006-networking-check-presence-of-devlink.patch:
    - On certain kernel configuration, devlink cmds may
      trigger the module to load automatically. This will
      also prevent simple.sh, part of the autopkgtest, in
      Bionic to fail due to devlink kernel conf in 4.15.
      (LP: #1923661)

  * d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch:
    - Fixes an exception propagation from `cleanup()`
      where an attempt to look for and remove a checksum
      file was made when an archive was not generated.
      (LP: #1923641)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Apr 2021 15:34:42 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-python,
  gettext,
  python3-all,
+ python3-coverage,
  python3-nose,
  python3-setuptools,
  python3-sphinx,

## sosreport 4.4

=== requirements.txt ===
pycodestyle>=2.4.0
coverage>=4.0.3
Sphinx>=1.3.5
pexpect>=4.0.0
python_magic>=0.4.20
pyyaml

=== debian/changelog ===
sosreport (4.4-1ubuntu0) kinetic; urgency=medium

  * New 4.4 upstream. (LP: #1986611)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.4

  * Former patches, now fixed:
    - d/p/0002-fix-setup-py.patch
    - d/p/0003-mention-sos-help-in-sos-manpage.patch

  * d/control:
   - Add 'python3-magic' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Wed, 17 Aug 2022 08:38:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sosreport
-Maintainer: Eric Desrochers <slashd@ubuntu.com>
+Maintainer: Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>
 Section: admin
 Priority: optional
 Standards-Version: 4.5.1
@@ -12,6 +12,7 @@
  python3-nose,
  python3-setuptools,
  python3-sphinx,
+ python3-magic,
 Homepage: https://github.com/sosreport/sos
 Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
 Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git

## sosreport 4.5

=== debian/changelog ===
sosreport (4.5-1ubuntu0) lunar; urgency=medium

  * New 4.5.1 upstream. (LP: #2009338)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.0
    - https://github.com/sosreport/sos/releases/tag/4.5.1

    * d/control:
   - Add 'python3-magic' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
 
 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Mon, 06 Mar 2023 06:10:48 +0000

sosreport (4.4-1ubuntu2) lunar; urgency=medium

  * Adjust version number to fix the upgrade path
    (jammy/kinetic/lunar) (LP: #1995234)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 08 Nov 2022 10:14:00 -0300

## sosreport 4.5.6

=== requirements.txt ===
pycodestyle>=2.4.0
coverage>=4.0.3
Sphinx>=1.3.5
pexpect>=4.0.0
pyyaml
setuptools

=== debian/changelog ===
sosreport (4.5.6-0ubuntu4) noble; urgency=medium

  * d/p/removed-assertEquals-fix.patch: assertEquals was removed, let's
    use assertEqual (LP: #2061325)

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 14 Apr 2024 21:45:27 +0000

sosreport (4.5.6-0ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:47 +0200

sosreport (4.5.6-0ubuntu2) mantic; urgency=medium

  * d/tests/simple.sh:
    - Correct typo in test_mask to print ip address
      (LP: #2037873)

  * d/p/0002-obfuscate-netplan-ssid-password.patch:
    - Obfuscate SSID password in netplan/XX.yaml files
      (LP: #2037872)

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 03 Oct 2023 05:43:23 +0000

sosreport (4.5.6-0ubuntu1) mantic; urgency=medium

  * New 4.5.6 upstream. (LP: #2028327)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.6

  * Former patches, now fixed:
    - d/p/0002-regex-flags.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Fri, 21 Jul 2023 08:04:22 +0000

sosreport (4.5.4ubuntu1) mantic; urgency=medium

  * New 4.5.4 upstream. (LP: #2022915)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.4

  * d/rules:
    - skip running unittests/policy_tests.py due to the avocado dependency

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
    - d/p/0002-regex-flags.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 13 Jun 2023 07:15:42 +0000

sosreport (4.5.3ubuntu2) mantic; urgency=medium

    * d/control:
   - Add 'python3-magic' to runtime depends.

 -- Nikhil Kshirsagar <nkshirsagar@gmail.com>  Fri, 05 May 2023 12:37:54 +0000

sosreport (4.5.3ubuntu1) mantic; urgency=medium

  * New 4.5.3 upstream. (LP: #2018270)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.3

    * d/control:
   - Add 'python3-magic' as part of the build depends.
   - Add 'python3-pexpect' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 02 May 2023 05:05:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sosreport
-Maintainer: Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>
 Section: admin
 Priority: optional
 Standards-Version: 4.5.1
@@ -13,13 +14,14 @@
  python3-setuptools,
  python3-sphinx,
  python3-magic,
+ python3-pexpect,
 Homepage: https://github.com/sosreport/sos
 Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
 Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git
 
 Package: sosreport
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pexpect
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pexpect, python3-magic
 Description: Set of tools to gather troubleshooting data from a system
  Sos is a set of tools that gathers information about system
  hardware and configuration. The information can then be used for

=== debian/tests/control ===
Tests: simple.sh
Depends: sosreport
Restrictions: needs-root, allow-stderr, isolation-machine
